<?php

namespace PrestaShop\Module\PolarisPrestaConnector\Forms;

use PolarisPrestaConnector;
use PrestaShop\Module\PolarisPrestaConnector\SyncConfiguration;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\AbstractType;
use PrestaShopBundle\Form\Admin\Type\SwitchType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;



class InformationType extends AbstractType {


      /**
     * lien vers le module
     */
    protected PolarisPrestaConnector $module ;

    public function  __construct() {
        $this->module = \Module::getInstanceByName(strtolower('PolarisPrestaConnector'));
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
       $cfgMode = $this->module->getCfg()->get(SyncConfiguration::CFG_WORKMODE);

       $isChecked = ($cfgMode == 0) ? true : false;

        $builder
        ->add('cfg_mode',SwitchType::class, [
            'label'=>'Mode de synchronisation',
            'label_attr' => ['class' => 'label-mode'],
            'choices' => [
                'Mode basique' => true,
                'Mode complet' => false,
            ],
            // Indice pour l'utilisateur sur ce que fait le mode basique et le mode complet 
            'help' => 'Le mode basique synchronise les stocks, prix et promotions alors que le mode complet tient également les fiches produits à jour.',
            
            'required' => false,
            'data' => $isChecked,
        ])
        ->add('sauvegarder', SubmitType::class, [
            'attr' => ['class' => 'btn-form-valid btn-primary']
        ]);
    }

}